package cn.com.countrygarden.bi.main.exception;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 业务异常
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class ServiceCodeException extends RuntimeException {
    private static final long serialVersionUID = -2528927666072367234L;

    private String code;

    public ServiceCodeException() {}

    public ServiceCodeException(String code, String message) {
        super(message);
        this.code = code;
    }

    public ServiceCodeException(String code, String message, Throwable cause) {
        super(message, cause);
    }

}
